Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.config
Class EnvironmentUtility

    java.lang.Object
      oracle.ifs.admin.tools.config.EnvironmentUtility

    public class EnvironmentUtility

extends java.lang.Object

UOA environment utility class to obtain classpath and folder information derived from xml configuration file.

Notes: 1) values for path/subpath attributes of folder element in xml config file should specify paths in unix notation 2) paths in folder map are formatted specific to OS leveraged by JVM

(Published)

Field Summary
`protected static java.lang.String` | `APPLICABLE_BOTH` Value for "applicable" attribute in xml configuration file to indicate both development and installation environments.
`protected static java.lang.String` | `APPLICABLE_DEV_ENV` Value for "applicable" attribute in xml configuration file to indicate development environment only.
`protected static java.lang.String` | `APPLICABLE_INSTALL_ENV` Value for "applicable" attribute in xml configuration file to indicate install environment only.
`static java.lang.String` | `DATASOURCE_REGEX_JDBC_SERVICE` Datasource regular expression to match jdbc connection style string with service name specified group 1 should be host, 2 should be port, 3 should be servicename
`static java.lang.String` | `DATASOURCE_REGEX_JDBC_SID` Datasource regular expression to match jdbc connection style string with SID specified group 1 should be host, 2 should be port, 3 should be sid
`static java.lang.String` | `DATASOURCE_REGEX_TNS` Datasource regular expression to match TNS style string group 1 should be host, 2 should be port, 3 should be servicename
`static java.lang.String` | `IFS_INSTALL_ENVIRONMENT_VARIABLE` Environment variable to lookup to determine if running a dev environment
`protected java.util.Map` | `m_Classpaths` a map containing classpathGroup name/classpath value tuples
`protected java.util.Map` | `m_Commands` a map containing command name/value tuples
`protected java.lang.String` | `m_DirSep` Operating system specific directory separator string to leverage
`protected static java.util.Map` | `m_Environment` Operating System environment variable map
`protected java.util.Map` | `m_Folders` a map containing folder name/path tuples
`protected boolean` | `m_IsInstallEnvironment` Runtime configuration mode being leveraged: A value of false indicates utility leveraging dev environment configuration, a value of true indicates install environment configuration.
`protected oracle.xml.parser.v2.SAXParser` | `m_Parser` XML SAX parser instance
`protected java.lang.String` | `m_PathSep` Operating system specific path separator string to leverage
`static java.lang.String` | `UOA_JDBC_DATASOURCE` UOA JDBC Data Source name.

Constructor Summary
`EnvironmentUtility(boolean isInstallEnvironment)` Constructor

Method Summary
`protected java.lang.String` | `addTrailingDirSep(java.lang.String path)` Adds trailing directory separator to supplied path if required.
`protected java.lang.String` | `addTrailingPathSep(java.lang.String classpath)` Adds trailing path separator to supplied classpath if required.
`static void` | `closeStream(java.io.InputStream is)` Close the specified inputstream if non-null, consuming any exception
`static void` | `closeWriter(java.io.Writer w)` Flush and close the specified writer if non-null, consuming any exception
`protected java.lang.String` | `convertPath(java.lang.String value)` Return a path string derived from the specified path potentially replacing occurrences of unix directory separator with the windows directory separator should the windows directory seaparator be in use.
`static java.util.Map` | `getAttributes(org.xml.sax.Attributes atts)` Converts the specified Attributes instance in to a map of attribute qname (the key)/value pairs.
`java.util.Map` | `getClasspaths()` Returns a map containing classpath group name/classpath value tuples Note: classpath value always end with trailing path separator; Note: by convention keys starting with a bang "!" should not be externally output
`java.lang.String` | `getClasspathValue(java.lang.String name)` Return classpath value for specified classpath group from classpath map.
`java.util.Map` | `getCommands()` Returns a map containing command name/value tuples Note: by convention keys starting with a bang "!" should not be externally output
`java.lang.String` | `getCommandValue(java.lang.String name)` Return command value for specified command name from commands map.
`java.lang.String` | `getConsoleInputString(java.lang.String prompt, java.lang.String defValue, boolean required, boolean echoInput)` Get input string from the console, and return the result
`static java.lang.String` | `getDatabaseUrl(java.lang.String ifsDomain)` Synthesizes a basic database connection URL from the supplied IFS domain string.
`static java.lang.String` | `getDatabaseUrl(java.lang.String ifsDomain, boolean asSID)` Synthesizes a basic database connection URL from the supplied IFS domain string.
`static java.lang.String` | `getEnvironmentValue(java.lang.String name)` Return value for specified environment variable.
`static java.util.Map` | `getEnvironmentVariables()` Returns a Map containing environment variable name-value pairs for the current executing environment.
`java.util.Map` | `getFolders()` Returns a map containing folder name/path tuples Note: by convention keys starting with a bang "!" should not be externally output
`java.lang.String` | `getFolderValue(java.lang.String name)` Return value for specified folder from folder map.
`static java.lang.String` | `getIfsDomain(java.lang.String databaseUrl, java.lang.String ifsSchema)` Attempts to synthesize an IFS domain string from the supplied database connection URL and IFS schema name.
`static java.lang.String` | `getIfsSchema(java.lang.String ifsDomain)` Retrieves the IFS schema name connection component of the supplied IFS domain string.
`protected java.util.Properties` | `getInstallEnvironmentCommonSettings()` Retrieves the 11g Installation environment settings from mbean server.
`protected java.util.Properties` | `getInternalProperties()` Derives a set of properties specific to the particular runtime mode (development/install).
`protected boolean` | `isApplicable(java.lang.String applicability)` Determine if the provided applicability attribute value should result in processing continuing or being skipped.
`static boolean` | `isDevelopmentEnvironment()` Returns true if the runtime environment appears to be a development environment.
`protected static boolean` | `isEmptyTrimmed(java.lang.String value)` Utility method to determine if a String instance is empty post trimming
`static boolean` | `isInstallEnvironment()` Returns true if the runtime environment appears to be an installation environment.
`static boolean` | `isWindows()` Returns a boolean indicating whether this JVM appear to be running in a Windows based environment.
`protected void` | `log(oracle.ifs.admin.tools.config.EnvironmentUtility.Classpath group)` Log the specified classpath group instance if non-null
`protected void` | `log(oracle.ifs.admin.tools.config.EnvironmentUtility.Command command)` Log the specified command instance if non-null
`protected void` | `log(oracle.ifs.admin.tools.config.EnvironmentUtility.Folder f)` Log the specified folder instance if non-null
`static void` | `main(java.lang.String[] args)` Initializes the utility.
`void` | `parseXmlStream(java.io.InputStream is)`
`protected java.lang.String` | `removeTrailingDirSepIfNotRoot(java.lang.String path)` Removes the trailing directory separator if applicable from supplied paths that are not root folders
`protected java.lang.String` | `removeTrailingPathSep(java.lang.String classpath)` Removes the trailing path separator if applicable from supplied classpath
`protected void` | `saveClasspath(oracle.ifs.admin.tools.config.EnvironmentUtility.Classpath group)` Store name/value of classpath group instance in the classpath map.
`protected void` | `saveCommand(oracle.ifs.admin.tools.config.EnvironmentUtility.Command command)` Store name/value of command instance in the commands map.
`protected void` | `saveFolder(oracle.ifs.admin.tools.config.EnvironmentUtility.Folder folder)` Store name/value of folder instance in the folder map.
`void` | `setClasspathValue(java.lang.String name, java.lang.String value)` Store value for classpath with specified group name in the classpath map.
`void` | `setCommandValue(java.lang.String name, java.lang.String value)` Store value for command with specified name in the commands map.
`void` | `setFolderValue(java.lang.String name, java.lang.String value)` Store value for folder with specified name in the folder map.
`protected void` | `setPropertyAndWarnIfEmpty(java.util.Properties props, java.lang.String propName, java.lang.String propValue, java.lang.String warnMsg2)` Sets the property in the provided Properties instance only if the associated property value is not null or empty.
`protected void` | `writeEnvironment(java.io.BufferedWriter w)` Write exportable classpath entries and commands out.
`protected void` | `writeProperties(java.io.BufferedWriter w)` Write folder and internal property entries out.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IFS_INSTALL_ENVIRONMENT_VARIABLE

    public static final java.lang.String IFS_INSTALL_ENVIRONMENT_VARIABLE

  Description copied from class: `EnvironmentUtility`
  Environment variable to lookup to determine if running a dev environment

  See Also:
    Constant Field Values

### UOA_JDBC_DATASOURCE

    public static final java.lang.String UOA_JDBC_DATASOURCE

  Description copied from class: `EnvironmentUtility`
  UOA JDBC Data Source name.

  See Also:
    Constant Field Values

### DATASOURCE_REGEX_TNS

    public static final java.lang.String DATASOURCE_REGEX_TNS

  Description copied from class: `EnvironmentUtility`
  Datasource regular expression to match TNS style string group 1 should be host, 2 should be port, 3 should be servicename

  See Also:
    Constant Field Values

### DATASOURCE_REGEX_JDBC_SID

    public static final java.lang.String DATASOURCE_REGEX_JDBC_SID

  Description copied from class: `EnvironmentUtility`
  Datasource regular expression to match jdbc connection style string with SID specified group 1 should be host, 2 should be port, 3 should be sid

  See Also:
    Constant Field Values

### DATASOURCE_REGEX_JDBC_SERVICE

    public static final java.lang.String DATASOURCE_REGEX_JDBC_SERVICE

  Description copied from class: `EnvironmentUtility`
  Datasource regular expression to match jdbc connection style string with service name specified group 1 should be host, 2 should be port, 3 should be servicename

  See Also:
    Constant Field Values

### APPLICABLE_DEV_ENV

    protected static final java.lang.String APPLICABLE_DEV_ENV

  Description copied from class: `EnvironmentUtility`
  Value for "applicable" attribute in xml configuration file to indicate development environment only.

  See Also:
    Constant Field Values

### APPLICABLE_INSTALL_ENV

    protected static final java.lang.String APPLICABLE_INSTALL_ENV

  Description copied from class: `EnvironmentUtility`
  Value for "applicable" attribute in xml configuration file to indicate install environment only.

  See Also:
    Constant Field Values

### APPLICABLE_BOTH

    protected static final java.lang.String APPLICABLE_BOTH

  Description copied from class: `EnvironmentUtility`
  Value for "applicable" attribute in xml configuration file to indicate both development and installation environments.

  See Also:
    Constant Field Values

### m_Environment

    protected static java.util.Map m_Environment

  Description copied from class: `EnvironmentUtility`
  Operating System environment variable map

### m_Commands

    protected final java.util.Map m_Commands

  Description copied from class: `EnvironmentUtility`
  a map containing command name/value tuples

### m_Classpaths

    protected final java.util.Map m_Classpaths

  Description copied from class: `EnvironmentUtility`
  a map containing classpathGroup name/classpath value tuples

### m_Folders

    protected final java.util.Map m_Folders

  Description copied from class: `EnvironmentUtility`
  a map containing folder name/path tuples

### m_IsInstallEnvironment

    protected final boolean m_IsInstallEnvironment

  Description copied from class: `EnvironmentUtility`
  Runtime configuration mode being leveraged: A value of false indicates utility leveraging dev environment configuration, a value of true indicates install environment configuration.

### m_DirSep

    protected java.lang.String m_DirSep

  Description copied from class: `EnvironmentUtility`
  Operating system specific directory separator string to leverage

### m_PathSep

    protected java.lang.String m_PathSep

  Description copied from class: `EnvironmentUtility`
  Operating system specific path separator string to leverage

### m_Parser

    protected oracle.xml.parser.v2.SAXParser m_Parser

  Description copied from class: `EnvironmentUtility`
  XML SAX parser instance

Constructor Detail

### EnvironmentUtility

    public EnvironmentUtility(boolean isInstallEnvironment)

  Constructor

  Parameters:
    `isInstallEnvironment` - runtime configuration mode to be leveraged true=install environment, false=development

Method Detail

### main

    public static void main(java.lang.String[] args)

  Description copied from class: `EnvironmentUtility`
  Initializes the utility.

  Parameters:
    `args` - command-line arguments

### parseXmlStream

    public void parseXmlStream(java.io.InputStream is)

### writeEnvironment

    protected void writeEnvironment(java.io.BufferedWriter w)
                             throws java.io.IOException

  Description copied from class: `EnvironmentUtility`
  Write exportable classpath entries and commands out.

  Parameters:
    `w` - buffered [file] writer
  Throws:
    `java.io.IOException`

### writeProperties

    protected void writeProperties(java.io.BufferedWriter w)
                            throws java.io.IOException

  Description copied from class: `EnvironmentUtility`
  Write folder and internal property entries out.

  Parameters:
    `w` - buffered [file] writer
  Throws:
    `java.io.IOException`

### getInternalProperties

    protected java.util.Properties getInternalProperties()

  Description copied from class: `EnvironmentUtility`
  Derives a set of properties specific to the particular runtime mode (development/install).

  Returns:
    set of derived internal properties, with some properties having potentially null values if no value could be obtained.

### getInstallEnvironmentCommonSettings

    protected java.util.Properties getInstallEnvironmentCommonSettings()

  Description copied from class: `EnvironmentUtility`
  Retrieves the 11g Installation environment settings from mbean server.

  Returns:
    set of properties

### getCommands

    public java.util.Map getCommands()

  Description copied from class: `EnvironmentUtility`
  Returns a map containing command name/value tuples Note: by convention keys starting with a bang "!" should not be externally output

  Returns:
    map with key command [export] name, value the command-value

### getClasspaths

    public java.util.Map getClasspaths()

  Description copied from class: `EnvironmentUtility`
  Returns a map containing classpath group name/classpath value tuples Note: classpath value always end with trailing path separator; Note: by convention keys starting with a bang "!" should not be externally output

  Returns:
    map with key classpath group name, value classpath

### getFolders

    public java.util.Map getFolders()

  Description copied from class: `EnvironmentUtility`
  Returns a map containing folder name/path tuples Note: by convention keys starting with a bang "!" should not be externally output

  Returns:
    map with key folder-name, value folder-path

### setCommandValue

    public void setCommandValue(java.lang.String name,
                                java.lang.String value)

  Description copied from class: `EnvironmentUtility`
  Store value for command with specified name in the commands map.

  Parameters:
    `name` - name of command
    `value` - value for specified command

### getCommandValue

    public java.lang.String getCommandValue(java.lang.String name)

  Description copied from class: `EnvironmentUtility`
  Return command value for specified command name from commands map. Note, returns null if specified command name not found in commands map

  Parameters:
    `name` - name of command
  Returns:
    value for specified command in map

### setClasspathValue

    public void setClasspathValue(java.lang.String name,
                                  java.lang.String value)

  Description copied from class: `EnvironmentUtility`
  Store value for classpath with specified group name in the classpath map.

  Parameters:
    `name` - group name of classpath
    `value` - value for specified classpath

### getClasspathValue

    public java.lang.String getClasspathValue(java.lang.String name)

  Description copied from class: `EnvironmentUtility`
  Return classpath value for specified classpath group from classpath map. Note, returns null if specified classpath group not found in classpath map

  Parameters:
    `name` - group name of classpath
  Returns:
    classpath value for specified group in map

### setFolderValue

    public void setFolderValue(java.lang.String name,
                               java.lang.String value)

  Description copied from class: `EnvironmentUtility`
  Store value for folder with specified name in the folder map.

  Parameters:
    `name` - name of folder
    `value` - value for specified folder

### getFolderValue

    public java.lang.String getFolderValue(java.lang.String name)

  Description copied from class: `EnvironmentUtility`
  Return value for specified folder from folder map. Note, returns null if specified folder not found in folder map

  Parameters:
    `name` - name of folder
  Returns:
    value for specified folder in folder map

### isApplicable

    protected boolean isApplicable(java.lang.String applicability)

  Description copied from class: `EnvironmentUtility`
  Determine if the provided applicability attribute value should result in processing continuing or being skipped. The runtime environment mode may be taken in to account.

  For example, if we are running in installation mode, and the provided applicability value is dev, then this method should return false indicating that processing should not take place.

  Parameters:
    `applicability` - should be one of both/dev/install
  Returns:
    true if processing should continue, false if processing should be skipped.

### saveCommand

    protected void saveCommand(oracle.ifs.admin.tools.config.EnvironmentUtility.Command command)

  Description copied from class: `EnvironmentUtility`
  Store name/value of command instance in the commands map.

  Parameters:
    `command` - command instance

### saveClasspath

    protected void saveClasspath(oracle.ifs.admin.tools.config.EnvironmentUtility.Classpath group)

  Description copied from class: `EnvironmentUtility`
  Store name/value of classpath group instance in the classpath map.

  Parameters:
    `group` - classpath group instance

### saveFolder

    protected void saveFolder(oracle.ifs.admin.tools.config.EnvironmentUtility.Folder folder)

  Description copied from class: `EnvironmentUtility`
  Store name/value of folder instance in the folder map.

  Parameters:
    `folder` - folder instance

### log

    protected void log(oracle.ifs.admin.tools.config.EnvironmentUtility.Command command)

  Description copied from class: `EnvironmentUtility`
  Log the specified command instance if non-null

  Parameters:
    `command` - the command instance to log.

### log

    protected void log(oracle.ifs.admin.tools.config.EnvironmentUtility.Classpath group)

  Description copied from class: `EnvironmentUtility`
  Log the specified classpath group instance if non-null

  Parameters:
    `group` - the classpath group instance to log.

### log

    protected void log(oracle.ifs.admin.tools.config.EnvironmentUtility.Folder f)

  Description copied from class: `EnvironmentUtility`
  Log the specified folder instance if non-null

  Parameters:
    `f` - the folder instance to log.

### convertPath

    protected java.lang.String convertPath(java.lang.String value)

  Description copied from class: `EnvironmentUtility`
  Return a path string derived from the specified path potentially replacing occurrences of unix directory separator with the windows directory separator should the windows directory seaparator be in use.

  Parameters:
    `value` - input path string
  Returns:
    operating system specific version of path string

### addTrailingDirSep

    protected java.lang.String addTrailingDirSep(java.lang.String path)

  Description copied from class: `EnvironmentUtility`
  Adds trailing directory separator to supplied path if required.

  Parameters:
    `path` - path to process
  Returns:
    supplied path guaranteed to termine with trailing directory separator

### removeTrailingDirSepIfNotRoot

    protected java.lang.String removeTrailingDirSepIfNotRoot(java.lang.String path)

  Description copied from class: `EnvironmentUtility`
  Removes the trailing directory separator if applicable from supplied paths that are not root folders

  Parameters:
    `path` - path to process
  Returns:
    supplied path trimmed of any trailing directory separator unless a root folder

### addTrailingPathSep

    protected java.lang.String addTrailingPathSep(java.lang.String classpath)

  Description copied from class: `EnvironmentUtility`
  Adds trailing path separator to supplied classpath if required.

  Parameters:
    `classpath` - classpath to process
  Returns:
    supplied classpath guaranteed to termine with trailing path separator

### removeTrailingPathSep

    protected java.lang.String removeTrailingPathSep(java.lang.String classpath)

  Description copied from class: `EnvironmentUtility`
  Removes the trailing path separator if applicable from supplied classpath

  Parameters:
    `classpath` - classpath to process
  Returns:
    supplied classpath trimmed of any trailing path separator

### setPropertyAndWarnIfEmpty

    protected void setPropertyAndWarnIfEmpty(java.util.Properties props,
                                             java.lang.String propName,
                                             java.lang.String propValue,
                                             java.lang.String warnMsg2)

  Description copied from class: `EnvironmentUtility`
  Sets the property in the provided Properties instance only if the associated property value is not null or empty. If the value is empty, a warning message is logged.

  Parameters:
    `props` - Properties instance
    `propName` - Property Name
    `propValue` - Property Value
    `warnMsg2` - Secondary warning message to be logged

### closeStream

    public static void closeStream(java.io.InputStream is)

  Description copied from class: `EnvironmentUtility`
  Close the specified inputstream if non-null, consuming any exception

  Parameters:
    `is` - the input stream.

### closeWriter

    public static void closeWriter(java.io.Writer w)

  Description copied from class: `EnvironmentUtility`
  Flush and close the specified writer if non-null, consuming any exception

  Parameters:
    `w` - the writer.

### getAttributes

    public static java.util.Map getAttributes(org.xml.sax.Attributes atts)

  Description copied from class: `EnvironmentUtility`
  Converts the specified Attributes instance in to a map of attribute qname (the key)/value pairs. Should an attribute of the same name occur more than once for the element, the value for the last instance is leveraged.

  Note, leading/trailing whitespace is trimmed from attribute name and value tuples.

  Parameters:
    `atts` - an Attributes instance
  Returns:
    A map containing attribute qname/value pairs

### getEnvironmentValue

    public static java.lang.String getEnvironmentValue(java.lang.String name)

  Description copied from class: `EnvironmentUtility`
  Return value for specified environment variable. Note, returns null if specified environment variable not found

  Parameters:
    `name` - name of environment variable
  Returns:
    value for specified environment variable

### getEnvironmentVariables

    public static java.util.Map getEnvironmentVariables()

  Description copied from class: `EnvironmentUtility`
  Returns a Map containing environment variable name-value pairs for the current executing environment.

  Returns:
    a Map containing env variable name-value pairs

### getConsoleInputString

    public java.lang.String getConsoleInputString(java.lang.String prompt,
                                                  java.lang.String defValue,
                                                  boolean required,
                                                  boolean echoInput)

  Description copied from class: `EnvironmentUtility`
  Get input string from the console, and return the result

  Parameters:
    `prompt` - the prompt
    `defValue` - the value to use if no input is specified
    `required` - boolean indication as to whether a value is required
    `echoInput` - boolean indication as to whether to echo the user's input
  Returns:
    the string result

### getIfsDomain

    public static java.lang.String getIfsDomain(java.lang.String databaseUrl,
                                                java.lang.String ifsSchema)

  Description copied from class: `EnvironmentUtility`
  Attempts to synthesize an IFS domain string from the supplied database connection URL and IFS schema name. The database URL must be in a recognized format in order for the regular expression pattern matching to succeed. The current supported formats are (DESCRIPTION=(ADDRESS=... (HOST=xxxx)(PORT=xxxx)) (CONNECT_DATA=...(SERVICE_NAME=xxxx))) @:/ example jdbc:oracle:thin:@staml16.us.oracle.com:1521/orcl2.us.oracle.com @::

  Parameters:
    `databaseUrl` - database connection url
    `ifsSchema` - IFS schema name
  Returns:
    IFS domain string synthesized from the supplied database URL and IFS schema name; in the format ifs://host:port:servicename:schema

### getIfsSchema

    public static java.lang.String getIfsSchema(java.lang.String ifsDomain)

  Description copied from class: `EnvironmentUtility`
  Retrieves the IFS schema name connection component of the supplied IFS domain string.

  Parameters:
    `ifsDomain` - IFS domain string
  Returns:
    IFS schema name

### getDatabaseUrl

    public static java.lang.String getDatabaseUrl(java.lang.String ifsDomain)

  Description copied from class: `EnvironmentUtility`
  Synthesizes a basic database connection URL from the supplied IFS domain string. Note, the supplied IFS domain string value is assumed to be a database service-based connection. If the value instead represents a database SID-based connection, the variant getDatabaseUrl method must be leveraged supplying a true value for the asSID parameter.

  Parameters:
    `ifsDomain` - IFS domain string
  Returns:
    Database URL

### getDatabaseUrl

    public static java.lang.String getDatabaseUrl(java.lang.String ifsDomain,
                                                  boolean asSID)

  Description copied from class: `EnvironmentUtility`
  Synthesizes a basic database connection URL from the supplied IFS domain string. The asSID property dictactes whether to generate a database connection string based on a SERVICE_NAME (false) or SID (true) interpretation of the IFS domain string.

  Parameters:
    `ifsDomain` - IFS domain string
    `asSID` - a true value indicates SID-based domain string interpretation, a false value indicates a SERVICE-based domain string interpretation
  Returns:
    Database URL

### isEmptyTrimmed

    protected static boolean isEmptyTrimmed(java.lang.String value)

  Description copied from class: `EnvironmentUtility`
  Utility method to determine if a String instance is empty post trimming

  Parameters:
    `value` - String instance
  Returns:
    true if the String instance is null or empty string post trim, false otherwise.

### isDevelopmentEnvironment

    public static boolean isDevelopmentEnvironment()

  Description copied from class: `EnvironmentUtility`
  Returns true if the runtime environment appears to be a development environment.

  Returns:
    true if IFS_INSTALL_ENVIRONMENT=false, false otherwise

### isInstallEnvironment

    public static boolean isInstallEnvironment()

  Description copied from class: `EnvironmentUtility`
  Returns true if the runtime environment appears to be an installation environment.

  Returns:
    Currently returns !isDevelopmentEnvironment()

### isWindows

    public static boolean isWindows()

  Description copied from class: `EnvironmentUtility`
  Returns a boolean indicating whether this JVM appear to be running in a Windows based environment.

  Returns:
    true if the java system property os.name contains the string 'windows', false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD